<?php
	if(isset($_GET['cpf'])) {
		$cpf = $_GET['cpf'];
		
		$ponteiro = fopen ("certificado/lista.txt","r");
		while (!feof ($ponteiro)) {
			$linha = fgets($ponteiro,4096);
			$aux = substr($linha,0,strpos($linha,";"));
			$nome = substr($linha,strpos($linha,";")+1);
			$nome = trim(preg_replace('/\s+/', ' ', $nome));
			
			if (str_replace("-", "", str_replace(".", "", $cpf)) == str_replace("-", "", str_replace(".", "", $aux)))
			{
				break;
			}
		}
		fclose ($ponteiro);
		
		if(isset($_GET['modo'])) { $modo = $_GET['modo'];}
		// Define o header como sendo de imagem
		header("Content-type: image/jpeg");
		 
		// Cria a imagem a partir de uma imagem jpeg
		$i = imagecreatefromjpeg("certificado/certificadoLimpo.jpg");
		 
		// Definições
		$tam = 26;
		$preto = imagecolorallocate($i, 0,0,0); # Cor preta
		$texto1 = "Declararamos para os devidos fins que ".$nome.", portador do documento ".$aux.","; # Texto a ser escrito
		$texto2 = 'participou do "12º Congresso Internacional de Compliance" realizado pela LEC'; # Texto a ser escrito
		$texto3 = 'no dia 10 de Junho de 2025, das 9h às 18h no Pro Magno - São Paulo.'; # Texto a ser escrito
		$fonte = "arial.ttf"; # Fonte que será utilizada
		 
		$y = 600;
		// Escreve na imagem
		$bbox = imagettfbbox($tam, 0, $fonte, $texto1);
		$x = (imagesx($i) / 2) - (($bbox[2] - $bbox[0]) / 2);
		imagettftext($i, $tam, 0, $x,$y,$preto,$fonte,$texto1);
		
		$bbox = imagettfbbox($tam, 0, $fonte, $texto2);
		$x = (imagesx($i) / 2) - (($bbox[2] - $bbox[0]) / 2);
		imagettftext($i, $tam, 0, $x,$y+=45,$preto,$fonte,$texto2);
		
		$bbox = imagettfbbox($tam, 0, $fonte, $texto3);
		$x = (imagesx($i) / 2) - (($bbox[2] - $bbox[0]) / 2);
		imagettftext($i, $tam, 0, $x,$y+=45,$preto,$fonte,$texto3);
		 
		// Gera a imagem na tela
		if ($modo == 0)
			imagejpeg($i,NULL,100);
		
		if($modo==1)
		{ 	
			imagejpeg($i,"certificado/etica_$cpf.jpg");
			$filepath = "certificado/etica_$cpf.jpg";
			if(file_exists($filepath)) {
				header('Content-Description: File Transfer');
				header('Content-Type: application/octet-stream');
				header('Content-Disposition: attachment; filename="'.basename($filepath).'"');
				header('Expires: 0');
				header('Cache-Control: must-revalidate');
				header('Pragma: public');
				header('Content-Length: ' . filesize($filepath));
				flush(); // Flush system output buffer
				readfile($filepath);
				//exit;
			}		
		}
		 
		// Destroi a imagem para liberar memória
		imagedestroy($i);
		
	}

	
?>